# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "ironfoil"
version = "0.2.0"
authors = ["sermuns <sermuns@lysator.liu.se>"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Transfer to NS title installers from the command-line"
readme = false
license = "MIT OR Apache-2.0"
repository = "https://github.com/sermuns/ironfoil"

[package.metadata.dist]
dist = false

[[bin]]
name = "ironfoil"
path = "src/main.rs"

[dependencies.clap]
version = "4"
features = ["derive"]

[dependencies.color-eyre]
version = "0.6"

[dependencies.env_logger]
version = "0.11"

[dependencies.indicatif]
version = "0.18"

[dependencies.ironfoil-core]
version = "0.2.0"
